# ----------------------------------------------------------------------------
# Csound Tcl-Music-Script                                          OCT-01-2003
# Copyright (c) 2003 by Hartmut Schwarz               matut@matut-spielwerk.de
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2 
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307, USA.
#
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Csound-Instrumentenkunde fuer den Tcl-Interpreter, Lektion x 
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
puts "Lektion x : Aetherische Orgel, Ethereal Organ";
# ----------------------------------------------------------------------------
source "basics/instrument.tcl"
proc instr_key_to_pitch { rCTX nkey } {
# wandelt Tastennummer in Csound-Tonhoehe (frequenz)
 global $rCTX;
 if { [string is double $nkey] } {
  set kybs [expr $nkey + [TREEget $rCTX kybs] - 21];
  set cps  [expr 440.0*pow(2,($kybs/12.0))];
  set cps  [format "%9.3f" $cps];
 } else {
  set cps $nkey; # z.B. Pause
 }
 return $cps;
}
